%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:		findthatword
Version:	0.1
Release:	18%{?dist}
Summary:	A word search maker

Group:		Amusements/Games
License:	GPLv3+
URL:		http://findthatword.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz	
Source1:	findthatword.desktop
Patch0:		findthatword-0.1-modpath.patch
Patch1:		findthatword-0.1-gladepath.patch
Patch2:		findthatword-0.1-iconpath.patch
Patch3:		findthatword-0.1-licensepath.patch
Patch4:		findthatword-0.1-typo.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	desktop-file-utils python2-devel
Requires:	pygtk2 hicolor-icon-theme

%description
A word search maker for teachers, parents and those who enjoy creating 
puzzles. FindThatWord aims to be the best free word search creation 
program available with useful features such as clues, hidden messages 
and automated page layout.

%prep
%setup -qn %{name}

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/findthatword

install -m 755 src/findthatword.py $RPM_BUILD_ROOT%{_bindir}/findthatword
install -m 644 src/*.svg $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/*.glade $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/*.ftw $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/COPYING $RPM_BUILD_ROOT%{_datadir}/findthatword/

mkdir -p $RPM_BUILD_ROOT%{python_sitelib}
install -m 644 src/puzzle.py $RPM_BUILD_ROOT%{python_sitelib}/findthatword.py

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 src/ftw_small.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Tim Waugh <twaugh@redhat.com -->
<!--
BugReportURL: https://sourceforge.net/p/findthatword/discussion/909489/thread/e4f98f33/
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">findthatword.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Create word search puzzles</summary>
  <description>
    <p>
      Find That Word is an easy way to create your own word search puzzles ready
      to print or save as PDF.
    </p>
  </description>
  <url type="homepage">http://findthatword.sourceforge.net/</url>
  <screenshots>
    <screenshot type="default">http://findthatword.sourceforge.net/uploads/Screenshot-FindThatWord-Ubuntu.png</screenshot>
  </screenshots>
</application>
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/
%{_bindir}/*
%{_datadir}/findthatword
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/findthatword.desktop
%{_datadir}/icons/hicolor/scalable/apps/ftw_small.svg
%{python_sitelib}/findthatword*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1-17
- Remove obsolete scriptlets

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-14
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.1-11
- Add an AppData file for the software center

* Tue Aug 05 2014 Jon Ciesla <limburgher@gmail.com> - 0.1-10
- Patch for typo, BZ 1126915.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 22 2011 Jon Ciesla <limb@jcomserv.net> - 0.1-4
- Added BR for python2-devel to fix macro.

* Thu Oct 20 2011 Jon Ciesla <limb@jcomserv.net> - 0.1-3
- Dropped bogus pygame Requires.

* Mon Oct 17 2011 Jon Ciesla <limb@jcomserv.net> - 0.1-2
- Corrected icon placement.
- Dropped Encoding from .desktop.
- Stopped creating unused sitelib subdir.

* Sun Oct 16 2011 Jon Ciesla <limb@jcomserv.net> - 0.1-1
- First build.
